# OpalMediaOptionOctets Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalMediaOptionOctets:

[legend]
Collaboration diagram for OpalMediaOptionOctets:
[legend]

## Public Member Functions

| OpalMediaOptionOctets (const char *name, bool readOnly, bool base64=false)
| OpalMediaOptionOctets (const char *name, bool readOnly, bool base64, const PBYTEArray &value)
| OpalMediaOptionOctets (const char *name, bool readOnly, bool base64, const BYTE *data, PINDEX length)
virtual PObject * | Clone () const
virtual void | PrintOn (ostream &strm) const
virtual void | ReadFrom (istream &strm)
virtual Comparison | CompareValue (const OpalMediaOption &option) const
virtual void | Assign (const OpalMediaOption &option)
const PBYTEArray & | GetValue () const
void | SetValue (const PBYTEArray &value)
void | SetValue (const BYTE *data, PINDEX length)
void | SetBase64 (bool b)

## Protected Attributes

PBYTEArray | m_value
bool | m_base64

## Constructor & Destructor Documentation

OpalMediaOptionOctets::OpalMediaOptionOctets | ( | const char * | name,
|  | bool | readOnly,
|  | bool | base64 = `false` |
| ) |  |  |

OpalMediaOptionOctets::OpalMediaOptionOctets | ( | const char * | name,
|  | bool | readOnly,
|  | bool | base64,
|  | const PBYTEArray & | value |
| ) |  |  |

OpalMediaOptionOctets::OpalMediaOptionOctets | ( | const char * | name,
|  | bool | readOnly,
|  | bool | base64,
|  | const BYTE * | data,
|  | PINDEX | length |
| ) |  |  |

## Member Function Documentation

virtual void OpalMediaOptionOctets::Assign | ( | const OpalMediaOption & | option | ) | `[virtual]`

Implements OpalMediaOption.

virtual PObject* OpalMediaOptionOctets::Clone | ( |  | ) | const`[virtual]`

virtual Comparison OpalMediaOptionOctets::CompareValue | ( | const OpalMediaOption & | option | ) | const`[virtual]`

Implements OpalMediaOption.

const PBYTEArray& OpalMediaOptionOctets::GetValue | ( |  | ) | const`[inline]`

virtual void OpalMediaOptionOctets::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

virtual void OpalMediaOptionOctets::ReadFrom | ( | istream & | strm | ) | `[virtual]`

void OpalMediaOptionOctets::SetBase64 | ( | bool | b | ) | `[inline]`

void OpalMediaOptionOctets::SetValue | ( | const BYTE * | data,
|  | PINDEX | length |
| ) |  |  |

void OpalMediaOptionOctets::SetValue | ( | const PBYTEArray & | value | ) |

## Field Documentation

bool OpalMediaOptionOctets::m_base64 `[protected]`

PBYTEArray OpalMediaOptionOctets::m_value `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h